Jump to content
Sign in to follow this  
Guest andreif

Can't install or upgrade CIAPI.CS in the Silverlight application

Recommended Posts

Guest andreif

I’m getting this error, when trying to install CIAPI.CS in the Silverlight app:

PM> install-package CIAPI.CS
Successfully installed 'CIAPI.CS 1.12.241.0'.
Successfully uninstalled 'CIAPI.CS 1.12.241.0'.
Install failed. Rolling back...
Install-Package : Could not install package 'CIAPI.CS 1.12.241.0'. You are trying to install this package into a project that targets 'Silverlight,Version=v4.0', but the package does not contain any assembly references
 that are compatible with that framework. For more information, contact the package author.
At line:1 char:16
+ install-package <<<<  CIAPI.CS
    + CategoryInfo          : NotSpecified: ( :) [install-Package], InvalidOperationException
    + FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PowerShell.Commands.InstallPackageCommand

The same message, when trying to upgrade CIAPI.CS from already installed older versions.

Share this post


Link to post
Guest sky.sanders

This is scheduled for fixing in Release 13 of CIAPI.CS –https://github.com/cityindex/CIAPI.CS/issues/88

the nuget packaging is one thing that will be fixed for release 13 but there are still some issues with the latest lightstreamer binaries in conjunction with our implementation that need to be worked out.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  
×